Bug 1010260 - hypervkvpd WantedBy should be multi-user.target
hypervkvpd WantedBy should be multi-user.target
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hyperv-daemons (Show other bugs)
19
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Tomáš Hozza
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-20 07:59 EDT by Sitsofe Wheeler
Modified: 2013-10-02 02:56 EDT (History)
1 user (show)

See Also:
Fixed In Version: hyperv-daemons-0-0.2.20130826git.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1010284 (view as bug list)
Environment:
Last Closed: 2013-10-02 02:56:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sitsofe Wheeler 2013-09-20 07:59:03 EDT
Description of problem:
hypervkvpd has a WantedBy of basic.target but it isn't needed for basic bootup (http://www.freedesktop.org/software/systemd/man/systemd.special.html ). 

Version-Release number of selected component (if applicable):
0.1.20130826git.fc19

How reproducible:
Reproducible every time.

Steps to Reproduce:
1. yum install hypervkvpd.x86_64
2. systemctl enable hypervkvpd.service
3. ls /etc/systemd/system/basic.target.wants/

Actual results:
hypervkvpd.service is listed in /etc/systemd/system/basic.target.wants/ .

Expected results:
hypervkvpd.service to be listed in /etc/systemd/system/multi-user.target.wants/ .
Comment 1 Tomáš Hozza 2013-09-20 08:22:53 EDT
(In reply to Sitsofe Wheeler from comment #0)
> Description of problem:
> hypervkvpd has a WantedBy of basic.target but it isn't needed for basic
> bootup (http://www.freedesktop.org/software/systemd/man/systemd.special.html
> ). 

It isn't needed for the system to boot up, but it can be used to gather
information about the system before it is fully started. Anyway I think
it can be rather WantedBy multi-user.target
Comment 2 Fedora Update System 2013-09-20 09:10:54 EDT
hyperv-daemons-0-0.2.20130826git.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/hyperv-daemons-0-0.2.20130826git.fc18
Comment 3 Fedora Update System 2013-09-20 09:12:36 EDT
hyperv-daemons-0-0.2.20130826git.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/hyperv-daemons-0-0.2.20130826git.fc19
Comment 4 Fedora Update System 2013-09-21 04:35:59 EDT
Package hyperv-daemons-0-0.2.20130826git.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hyperv-daemons-0-0.2.20130826git.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17317/hyperv-daemons-0-0.2.20130826git.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-10-02 02:54:28 EDT
hyperv-daemons-0-0.2.20130826git.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-10-02 02:56:09 EDT
hyperv-daemons-0-0.2.20130826git.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.